import {get, post, put} from '../http'

const rates = {
  getRepeatOptions() {
    return get("dynamicRate/getRepeat")
  },
  getRatePages(params) {
    return post("dynamicRate/getDynamicRatePages", params)
  },
  addDynamicRate(params) {
    return post("dynamicRate/addDynamicRate", params)
  },
  updateDynamicRate(params) {
    return put("dynamicRate/updateDynamicRate", params)
  },
  deleteDynamicRate(params) {
    return get("dynamicRate/delDynamicRateDetail", params)
  },
  deleteDynamicRateItem(params) {
    return get("dynamicRate/delDynamicRateItem", params)
  },
  getDynamicRateInfo(params) {
    return get("dynamicRate/getDynamicRateDetail", params)
  },
  getAssignStatusOptions() {
    return get('dynamicRate/getAssignmentStatus')
  },
  getAssignSitesPages(data) {
    return post('dynamicRate/getDynamicRateAssignSitePages', data)
  },
  assignRate2Site(data) {
    return post('dynamicRate/assignDynamicRateSites', data)
  },
  unassignRate2Site(data) {
    return post('dynamicRate/unAssignDynamicRateSites', data)
  }
}

export default rates;